Subject: Re: CYGWIN - GMP compile problems
From: Andrew Markebo <[email-masked]>
To: "Kris Ray" <[email-masked]>
Cc: [email-masked]
Date: 03 Apr 2002 09:05:24 +0200

What does the link command look like?

Assuming something like

gcc -lgmp -o gmptest gmptest.o

-lgmp should be last.

        /Andy

/ "Kris Ray" <[email-masked]> wrote:
| When I try to compile the GMP library in cygwin, it works.  However, when I
| try to "make" any of the programs in the "demos" folder, I get link errors.
| The link errors are all for the GMP functions.  The messages are all
| something like "undefined reference - __gmpz_get_str", etc.
| 
| any ideas on how to solve this problem?
| 
| thanks,
| Kris
| 
| 
| 
| 
| 
| 
| --
| Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
| Bug reporting:         http://cygwin.com/bugs.html
| Documentation:         http://cygwin.com/docs.html
| FAQ:                   http://cygwin.com/faq/
| 
| 

-- 
 The eye of the beholder rests on the beauty!

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/